Page MenuHomePhabricator

Category viewer truncates category titles with a period
Closed, ResolvedPublic

Description

If a category title contains a period, then the period and the rest of the title is excluded from the category name in the category overlay.

The category overlay JavaScript file should use title.getMainText() instead of title.getNameText()

QA

  1. Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Dog
  2. Add the page to a category that contains a period.
  3. Open up the categories: https://en.m.wikipedia.beta.wmflabs.org/wiki/Dog#/categories
  4. Verify the full name is shown including text after the period

QA Results

ACStatusDetails
1T223928#5240972

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2019, 6:28 PM

Change 511964 had a related patch set uploaded (by Porplemontage; owner: Porplemontage):
[mediawiki/extensions/MobileFrontend@master] Fix bug where the category viewer truncates category titles with a period

https://gerrit.wikimedia.org/r/511964

Change 511964 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix bug where the category viewer truncates category titles with a period

https://gerrit.wikimedia.org/r/511964

Niedzielski updated the task description. (Show Details)
Niedzielski added a subscriber: Niedzielski.
Edtadros reassigned this task from Edtadros to ovasileva.Jun 6 2019, 4:33 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

✅ AC 1: Created "Mr. Fusion" category and added it to Dog.

Edtadros updated the task description. (Show Details)Jun 6 2019, 4:34 PM
ovasileva closed this task as Resolved.Jun 11 2019, 1:30 PM